[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Fedora 9 Update: gimp-2.6.4-3.fc9



--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2009-0301
2009-01-07 19:08:24
--------------------------------------------------------------------------------

Name        : gimp
Product     : Fedora 9
Version     : 2.6.4
Release     : 3.fc9
URL         : http://www.gimp.org/
Summary     : GNU Image Manipulation Program
Description :
GIMP (GNU Image Manipulation Program) is a powerful image composition and
editing program, which can be extremely useful for creating logos and other
graphics for webpages. GIMP has many of the tools and filters you would expect
to find in similar commercial offerings, and some interesting extras as well.
GIMP provides a large image manipulation toolbox, including channel operations
and layers, effects, sub-pixel imaging and anti-aliasing, and conversions, all
with multi-level undo.

--------------------------------------------------------------------------------
Update Information:

- split off gimptool into new gimp-devel-tools subpackage to avoid multilib
conflicts (#477789)  - require poppler-glib-devel for building from F9 on
(#478691)  - fix gimp-devel package group  - enable building with aalib  -
version 2.6.4      Overview of Changes from GIMP 2.6.3 to GIMP 2.6.4
=================================================      * Bugs fixed:
565223 – Perspective transformation jagged edges / comb effect     563985 – jpg
save dialog: "cancel" is treated like "commit"              for settings
564087 – Using clone tool on a layer with a part out of canvas
causes crashes     564593 – crash when the drawable is changed while a color
tool              is active     564869 – GIMP crashes on selecting Tools->GEGL
operation     565138 – python-fu-foggify does not check if image is in rgb mode
563130 – Hue selection mode does not cross the 0-360 degrees line     563179 –
Scrollbars not resized when we extend the canvas size     562459 – PF_PALETTE:
'TypeError' when used in a plugin that is              registered in <Image>
562427 – Compilation with --as-needed     562386 – PF_SLIDER and PF_SPINNER
'Step' values do not change              consistently...     562366 – Default
image dimensions are not correctly              transferred in the file/new
dialog box     561899 – GIMP can't save to mounted filesystem if file exists
* Updated translations:       Greek (el)     Hindi (hi)     Hungarian (hu)
Italian (it)     Japanese (ja)     Korean (ko)     Slovenian (sl)     Swedish
(sv)     Tamil (ta)     Simplified Chinese (zh_CN)
--------------------------------------------------------------------------------
ChangeLog:

* Wed Jan  7 2009 Nils Philippsen <nils redhat com> - 2:2.6.4-3
- split off gimptool into new gimp-devel-tools subpackage to avoid multilib
  conflicts (#477789)
- require poppler-glib-devel for building from F9 on (#478691)
- fix gimp-devel package group
* Sun Jan  4 2009 Nils Philippsen <nils redhat com> - 2:2.6.4-2
- enable building with aalib
* Thu Jan  1 2009 Nils Philippsen <nils redhat com> - 2:2.6.4-1
- version 2.6.4

  Overview of Changes from GIMP 2.6.3 to GIMP 2.6.4
  =================================================
  
  * Bugs fixed:
  
   565223 – Perspective transformation jagged edges / comb effect
   563985 – jpg save dialog: "cancel" is treated like "commit"
            for settings
   564087 – Using clone tool on a layer with a part out of canvas
            causes crashes
   564593 – crash when the drawable is changed while a color tool
            is active
   564869 – GIMP crashes on selecting Tools->GEGL operation
   565138 – python-fu-foggify does not check if image is in rgb mode
   563130 – Hue selection mode does not cross the 0-360 degrees line
   563179 – Scrollbars not resized when we extend the canvas size
   562459 – PF_PALETTE: 'TypeError' when used in a plugin that is
            registered in <Image>
   562427 – Compilation with --as-needed
   562386 – PF_SLIDER and PF_SPINNER 'Step' values do not change
            consistently...
   562366 – Default image dimensions are not correctly
            transferred in the file/new dialog box
   561899 – GIMP can't save to mounted filesystem if file exists
  
  * Updated translations:
  
   Greek (el)
   Hindi (hi)
   Hungarian (hu)
   Italian (it)
   Japanese (ja)
   Korean (ko)
   Slovenian (sl)
   Swedish (sv)
   Tamil (ta)
   Simplified Chinese (zh_CN)
- add BuildRequires: aalib-devel
* Mon Dec  1 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm gmail com> - 2:2.6.3-3
- Rebuild for Python 2.6
* Mon Nov 24 2008 Nils Philippsen <nils redhat com> - 2:2.6.3-2
- own /usr/lib/gimp/2.0/interpreters (#473594)
* Mon Nov 24 2008 Nils Philippsen <nils redhat com> - 2:2.6.3-1
- version 2.6.3

  Overview of Changes from GIMP 2.6.2 to GIMP 2.6.3
  =================================================

  * Bugs fixed:

   558454 – Plugin Map Color Range disappears from GIMP
   559239 – Error while loading psd-data
   560903 – Explicit zooming with e.g. '1' should handle
            zoom-focus better
   560245 – Zoom selection always centered in the Navigation tab
   559490 – Wrong lang tags for 'no'
   559292 – SOTA Chrome cannot accept different textures
   560375 – Clearing an already empty document history crashes GIMP
   559580 – Image windows need better default locations
   560283 – "Scale image..." causes distortion around edges
   559716 – Changing crop size in Crop Tool Options can make UI
            unresponsive
   558549 – Stroking a single-point path with a paint tool
            crashes GIMP
   559015 – Move tool gives bad information about px moved
   558660 – help behavior for locales without manual translation

  * Updated translations:

   Belarusian (be)
   Dutch (nl)
   German (de)
   Japanese (ja)
   Lithuanian (lt)
   Norwegian Bokmål (nb)
   Norwegian Nynorsk (nn)
   Polish (pl)
   Romanian (ro)
* Fri Nov 14 2008 Nils Philippsen <nils redhat com> - 2:2.6.2-3
- bump release
* Tue Nov 11 2008 Nils Philippsen <nils redhat com> - 2:2.6.2-2
- backport: use size units in JPEG save preview (#469551)
* Fri Oct 31 2008 Nils Philippsen <nils redhat com> - 2:2.6.2-1
- version 2.6.2

  Overview of Changes from GIMP 2.6.1 to GIMP 2.6.2
  =================================================

  * Bugs fixed:

   557950 – Scaling in Gimp 2.6 is much slower than in Gimp 2.4
   558215 – unit and zoom entries in Statusbar not visible
   558451 – Cannot build GIMP using Sun CC on Solaris 2.8
   558420 – projection incorrect with alpha-less layers
   556603 – Zoom region always zooms in center of image
   557870 – "Qmask" message popping up here and there
   557705 – compatibility with GEGL > 0.0.20
   556248 – Scaling gives 'jagged' edges
   556804 – Zoom drop down doesn't update
   524615 – Print not to scale
   555246 – gimp crashes when a file is opened while a preview is generating
   556741 – Alpha layer automatically added (in psd format)
   556182 – Could you please explain a few strings [I18N]
   555697 – build fails if configured with --without-libjpeg
   134956 – Curves tool doesn't save free curves

  * Updated translations:

   Czech (cs)
   Danish (da)
   Finnish (fi)
   French (fr)
   Japanese (ja)
   Polish (pl)
   Brazilian Portuguese (pt_BR)
   Swedish (sv)
   Simplified Chinese (zh_CN)
- update xdg-open patch
* Tue Oct 28 2008 Nils Philippsen <nils redhat com> - 2:2.6.1-2
- update required versions of some packages (#467065)
* Fri Oct 10 2008 Nils Philippsen <nils redhat com> - 2:2.6.1-1
- version 2.6.1

  Overview of Changes from GIMP 2.6.0 to GIMP 2.6.1
  =================================================

  * Bugs fixed:

   555587 – PSD file crashes PSD plug-in
   555222 – PSD Load Plugin: unsupported compression mode
   555362 – gimp-remote is not working properly
   555280 – some gif files will not be open
   554890 – JPEG Save Options Dialog does not remember
   554966 – Gimp crashes creating a new image using a template
   554785 – Compile failure on uri-backend-libcurl
   554646 – Opening Help crashes GIMP with lqr-plugin installed
   553534 – centering issues after image scaling and setting zoom
   554898 – Compile failure on uri-backend-wget.c

  * Updated translations:

   Belarusian (be)
   Catalan (ca)
   Finnish (fi)
   French (fr)
   Japanese (ja)
   Macedonian (mk)
   Punjab (pa)
   Brazilian Portuguese (pt_BR)
   Romanian (ro)
   Slovenian (sl)
   Swedish (sv)
* Wed Oct  8 2008 Nils Philippsen <nils redhat com> - 2:2.6.0-3
- split off help browser plugin
- let gimp and gimp-help-browser obsolete older gimp versions to allow seamless
  upgrades
* Tue Oct  7 2008 Nils Philippsen <nils redhat com> - 2:2.6.0-2
- move gimptool to devel subpackage
- make gimp-plugin-mgr not require gimptool/pkg-config (#465869)
* Thu Oct  2 2008 Nils Philippsen <nils redhat com> - 2:2.6.0-1
- version 2.6.0
- remove obsolete htmlview patch
- remove obsolete distro version dependent defaults
- don't use custom CFLAGS
* Mon Sep 22 2008 Nils Philippsen <nils redhat com> - 2:2.4.7-4
- don't require desktop-file-utils (#463049, patch by Ville Skyttä)
* Wed Sep 17 2008 Nils Philippsen <nils redhat com> - 2:2.4.7-3
- don't make pyconsole.py plug-in executable as upstream indicates it shouldn't
  be
* Wed Sep 17 2008 Nils Philippsen <nils redhat com> - 2:2.4.7-2
- Merge review:
  - convert spec file to UTF-8
  - remove unneeded gimp2, gimp-beta obsoletes
  - quote macros in changelog
  - use only spaces, not tabs
  - make pyconsole.py plug-in executable (upstream bug #552601)
* Fri Aug 22 2008 Nils Philippsen <nphilipp redhat com> - 2:2.4.7-1
- version 2.4.7

  Changes in GIMP 2.4.7
  =====================

  - fixed issue in GIF load plug-in (bug #535888)
  - fixed event handling in MIDI controller (bug #537960)
  - fixed handling of the 'Highlight' tool option in Crop and Rectangle
    Select tools (bug #536582)
  - various fixes to the Python bindings:
    - fixed crash with Python 2.5 on 64 bit systems (bug #540629)
    - added missing validity checks (bug #536403)
    - allow to pass None for PDB_DISPLAY
  - plugged a memory leak in gimp-text-get-extents-fontname PDB call
  - fixed potential timeout issues in org.gimp.GIMP.UI D-Bus service
  - fixed endianness issue in the ICO save plug-in (bug #529629)
  - translation fixes and updates (be, it, lt, nn, vi)
* Fri May 30 2008 Nils Philippsen <nphilipp redhat com> - 2:2.4.6-1
- version 2.4.6

  Changes in GIMP 2.4.6
  =====================

  - fixed handling of the "antialias" tool option (bug #521069)
  - when loading a TIFF image, always set a filename on it (bug #521436)
  - fixed initial state of curve type in Curves tool (bug #523873)
  - fixed potential crash in the Dicom load plug-in
  - respect the brush mask in the Heal tool (bug #521433)
  - plugged some minor memory leaks
  - fixed a glitch in the DND code (bug #317992)
  - gimp-image-convert() must not accept palettes with > 256 colors (bug
      - fixed parameter description in the Map Object plug-in (bug #526679)
  - fixed compilation of unit tests on Mac OS X (bug #528160)
  - fixed handling of "argc-lower-val-y" PDB parameter in Curve Bend plug-in
  - fixed overlap problem in Hue-Saturation tool (bug #527085)
  - fixed asymmetry in Unsharp Mask plug-in (bug #530077)
  - don't show non-existant color profiles in the selector (bug #528958)
  - fixed issues with default aspect ratio in the Crop tool (bug #532057)
  - fixed compilation of the PDF import plug-in with libpoppler 0.8
  - fixed bug in clipboard brush code (bug #532886)
  - corrected layer mask flag in PSD save plug-in (bug #526811)
  - fixed an issue with tablets and newer X.Org releases
  - keep the JPEG save plug-in from writing an empty EXIF tag (bug #529469)
  - fixed crash in Selective Gaussion Blur plug-in (bug #529280)
  - added new translations (Belarusian, Catalan, Norwegian Nynorsk)
  - translation fixes and updates
    (ar, ca, de, el, es, fi, fr, hu, it, ko, pl, pt_BR, ro, sv)
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #477789 - gimp-devel multilib conflict
        https://bugzilla.redhat.com/show_bug.cgi?id=477789
  [ 2 ] Bug #478691 - GIMP does not use poppler for PDF import due to missing dependency in .spec
        https://bugzilla.redhat.com/show_bug.cgi?id=478691
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update gimp' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
http://fedoraproject.org/keys
--------------------------------------------------------------------------------


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]